%if %{?WITH_PAM:0}%{!?WITH_PAM:1}
%define WITH_PAM 1
%endif

Summary:	The Vixie cron daemon for executing specified programs at set times
Name:		vixie-cron
Version:	4.1
Release:	%mkrel 9
License:	distributable
Group:		System/Servers
Source0:	ftp://ftp.vix.com/pub/vixie/vixie-cron-%{version}.tar.bz2
Source1:	vixie-cron.init
Source2:	vixie-cron.log

Patch0:  vixie-cron-4.1-_0_rh_Makefile.patch
Patch1:  vixie-cron-4.1-_1_rh_pathnames.patch
Patch2:  vixie-cron-4.1-_2_config.patch
Patch3:  vixie-cron-4.1-_3_selinux.patch
Patch4:  vixie-cron-4.1-_4_vfork_sigchld.patch
Patch5:  vixie-cron-4.1-_5_sprintf_misc.patch
Patch6:  vixie-cron-4.1-_6_rh_crond.patch
Patch7:  vixie-cron-4.1-_7_crontab-stdin.patch
Patch8:  vixie-cron-4.1-_8_root-allowed.patch
Patch9:  vixie-cron-4.1-_9_no-header.patch
Patch10: vixie-cron-4.1-_10_manpages.patch
Patch11: vixie-cron-4.1-_11_with_selinux.patch
Patch12: vixie-cron-4.1-_12_pam.patch
Patch13: vixie-cron-4.1-_13_with_pam.patch
Patch14: vixie-cron-4.1-_14_pamd_crond.patch
Patch15: vixie-cron-4.1-_15_system_crontab_user.patch
Patch16: vixie-cron-4.1-_16_crontab_selinux.patch
Patch17: vixie-cron-4.1-_17_pam-rootok.patch
Patch18: vixie-cron-4.1-_18_cron_log_facility.patch
Patch19: vixie-cron-4.1-_19_crontab_stat_not_fstat.patch
Patch20: vixie-cron-4.1-_20_nickname_man.patch
Patch21: vixie-cron-4.1-_21_-i_option.patch
Patch22: vixie-cron-4.1-_22_no_0600_mode_enforce.patch
Patch23: vixie-cron-4.1-_23_freecon_segv.patch
Patch24: vixie-cron-4.1-_24_crontab_selinux_new.patch
Patch25: vixie-cron-4.1-_25-allow-root-crontab.patch
Patch26: vixie-cron-4.1-_26-saved-uids.patch
Patch27: vixie-cron-4.1-_27-no-strip-header-comments.patch
Patch28: vixie-cron-4.1-_28-fix_ppc.patch
Patch29: vixie-cron-4.1-_29-permit_any_crontab_option.patch
Patch30: vixie-cron-4.1-_30-uninitialized.patch
Patch31: vixie-cron-4.1-_31-allow_pam_access.patch
Patch32: vixie-cron-4.1-_32-no_mail_rcpt_safe_p.patch
Patch33: vixie-cron-4.1-_33-fix_selinux_segfault.patch
Patch34: vixie-cron-4.1-_34-pam_fail_close_session.patch
Patch35: vixie-cron-4.1-_35-crontab-job-control.patch
Patch36: vixie-cron-4.1-_36-pam_close_fork_fail.patch
Patch37: vixie-cron-4.1-_37-limits.patch
Patch38: vixie-cron-4.1-_38-CAN-2005-1038.patch
Patch39: vixie-cron-4.1-loginuid.patch
Patch40: vixie-cron-4.1-162887.patch
Patch41: vixie-cron-4.1-CAN-2005-1038-fix-race.patch
Patch42: vixie-cron-4.1-_42-getseuserbyname.patch
Patch43: vixie-cron-4.1-_43-config_comments.patch
Patch44: vixie-cron-4.1-_44-build_env.patch
Patch45: vixie-cron-4.1-_45-warnings.patch
Patch46: vixie-cron-4.1-snprintf_overflow.patch
Patch1004:	vixie-cron-4.1-crontab.patch
Patch1005:	vixie-cron-3.0.1-sigchld.patch
Patch1006:	vixie-cron-4.1-sprintf.patch
Patch1007:	vixie-cron-3.0.1-sigchld2.patch
Patch1008:	vixie-cron-4.1-crond.patch
Patch10014:	vixie-cron-3.0.1-name.patch
Patch10015:	vixie-cron-3.0.1-time.patch
Patch10020:	vixie-cron-4.1-add-default-help.diff
Patch10021:	vixie-cron-4.1-privilege_escalation.patch
Patch100150:	vixie-cron-4.1-ppc.patch

Requires:	syslog-daemon, bash >= 2.0
Provides:	cron-daemon
Requires(post): rpm-helper
Requires(preun): rpm-helper
%if %{WITH_PAM}
Requires: pam >= 0.77
Buildrequires: pam-devel
%endif
Buildroot:	%{_tmppath}/%{name}-root

%description
The vixie-cron package contains the Vixie version of cron.  Cron is a
standard UNIX daemon that runs specified programs at scheduled times.
Vixie cron adds better security and more powerful configuration
options to the standard version of cron.

%prep

%setup -q

%patch0 -p1 -b .rh_Makefile
%patch1 -p1 -b .rh_pathnames
%patch2 -p1 -b .config
%patch4 -p1 -b .vfork_sigchld
%patch5 -p1 -b .sprintf_misc
%patch6 -p1 -b .rh_crond
%patch7 -p1 -b .crontab-stdin
%patch8 -p1 -b .root-allowed
%patch9 -p1 -b .no-header
%patch10 -p1 -b .manpages
%patch12 -p1 -b .pam
%if %{WITH_PAM}
%patch13 -p1 -b .with_pam
%patch14 -p1 -b .pamd_crond
%patch15 -p1 -b .system_crontab_user
%endif
%patch17 -p1 -b .pam-rootok
%patch18 -p1 -b .cron_log_facility
%patch19 -p1 -b .crontab_stat_not_fstat
%patch20 -p1 -b .nickname_man
%patch21 -p1 -b -i_option
%patch22 -p1 -b .no_0600_mode_enforce
%patch25 -p1 -b .allow-root-crontab
%patch26 -p1 -b .saved_uids
%patch27 -p1 -b .no-strip-header-comments
%patch28 -p1 -b .fix_ppc
%patch29 -p1 -b .permit_any_crontab_option
%patch30 -p1 -b .uninitialized
%patch31 -p1 -b .allow_pam_access
%patch32 -p1 -b .no_mail_rcpt_safe_p
%patch34 -p1 -b .pam_fail_close_session
%patch35 -p1 -b .job_control
%patch36 -p1 -b .pam_close_fork_fail
%patch37 -p1 -b .limits
%patch38 -p1 -b .CAN-2005-1038
%patch39 -p1 -b .loginuid
%patch40 -p1 -b .162887

%patch41 -p1 -b .CAN-2005-1038-fix-race
# %patch42 -p1 -b .getseuserbyname
%patch43 -p1 -b .config_comments
%patch44 -p1 -b .build_env
%patch45 -p1 -b .warnings

%patch46 -p1 -b .snprintf

%patch1004 -p1 -b .crontabhole
# 20051104 warly not included anymore
# %patch1005 -p1 -b .sigchld
%patch1006 -p1 -b .sprintf
%patch1007 -p1 -b .sigchld

# %patch1008 -p1 -b .crond

# 20051104 warly this one may need to be checked, not doing it for now
# %patch10014 -p1 -b .name

# 20051104 warly this seems to be handled differently now
# %patch10015 -p1 -b .time

%patch10020 -p0 -b .bug20917
%patch10021 -p1 -b .CVE-2006-2607

%ifarch ppc
%patch100150 -p1 -b .ppc
%endif

%build

%serverbuild

%make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man{1,5,8}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/pam.d

%makeinstall \
	DESTDIR=%{buildroot} \
	DESTMAN=%{buildroot}/%{_mandir}

install -d -m 700 %{buildroot}/var/spool/cron
install -d -m 755 %{buildroot}%{_sysconfdir}/cron.d

install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/crond

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/cron


%clean
rm -rf %{buildroot}

%post
%_post_service crond

%preun
%_preun_service crond

%files
%defattr(-,root,root)
%doc CHANGES CONVERSION FEATURES MAIL
%doc README THANKS 
%{_sbindir}/crond
%attr(6755,root,root) %{_bindir}/crontab
%{_mandir}/man*/*
/var/spool/cron
%{_sysconfdir}/cron.d
%{_initrddir}/crond
%config(noreplace) %{_sysconfdir}/pam.d/crond
%config(noreplace) %{_sysconfdir}/logrotate.d/cron



%changelog
* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 4.1-9mdv2008.0
+ Revision: 45206
- rebuild with new serverbuild macro (-fstack-protector-all)


* Thu Sep 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.1-8mdv2007.0
- add -p option in initscript to allow insecure use of executable crontab files (fix #23951).
- initscript is not a configuration file
- uncompress additional sources
- more macros

* Thu Jul 20 2006 Warly <warly@mandriva.com> 4.1-7mdv2007.0
- add the Michael Scherer patch to fix snprintf overflow (patch 46) and fix bug 23689

* Sun Jun 11 2006 Oden Eriksson <oeriksson@mandriva.com> 4.1-6mdv2007.0
- added P10020 to fix #20917
- added P10021 from suse to fix CVE-2006-2607

* Tue Jan 31 2006 Olivier Blin <oblin@mandriva.com> 4.1-5mdk
- drop Patch101 (i.e. don't put back depreacted pam_stack module,
  and don't remove pam_loginuid)

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 4.1-4mdk
- fix typo in initscript

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 4.1-3mdk
- convert parallel init to LSB
- mkrel
- fix summary-ended-with-dot
- fix Requires post and preun

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 4.1-2mdk
- Add parallel init stuff

* Fri Nov 04 2005 Warly <warly@mandriva.com> 4.1-1mdk
- new version

* Thu Jul 14 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 3.0.1-57mdk
- Replaced sysklogd requires to syslog-daemon, use provides name to
  enable use of other syslog flavour.

